---
title: "Get user attributes from an existing Identity Provider."
slug: "get-user-attributes-from-an-existing-identity-provider-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/get-user-attributes-from-an-existing-identity-provider-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user attributes from an existing Identity Provider.

Post/identity-providers/{id}/attributes

Get raw attributes and mapped claims for a user.

SecurityHTTPType bearer

Path parametersidstring (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425

Body parameters

User details to get attributes for.

<select class='api-response-data' aria-label='Media type'><option value='af5ae579-ea91-4d0f-846c-7ee2f5537c9b'>application/json</option>
</select>object  usernamestring    

Required for Ldap, Radius and LocalDatabase providers.

Exampleusername
passwordstring    

Required for Radius provider.

ExampletSW3!QBv(rj{UuLY
samlResponsestring    

A sample SAML token to extract attributes from. Required for SAML provider.

Responses200

User attributes.

<select class='api-response-data' aria-label='Media type'><option value='2e434178-8256-422d-8b5b-f0b1d5cd37fa'>application/json</option>
</select>Expand Allobject  rawAttributesobject  

The attributes received and unchanged by the Identity Provider.

Example{
  "samAccountName": [
    "username"
  ],
  "upn": [
    "username@company.com"
  ]
}property* Array of string   additionalPropertiesstring    

mappedAttributesobject  

The attributes received and mapped by the Identity Provider according to claimMappings.

Example{
  "username": "username"
}property*string    additionalProperties

400

JSON error. Check the JSON format.

<select class='api-response-data' aria-label='Media type'><option value='860406b9-b10b-4432-8a4b-2df4da8ba412'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='5ebcbb29-8e7d-40eb-ae50-33cb5635a05a'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='fba04886-e2b8-4be1-969a-99fc48fafc7a'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

404

The requested resource can not be found.

<select class='api-response-data' aria-label='Media type'><option value='6f27cf11-1117-4684-92e6-5e7742d911b5'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='a7391e15-94b1-4e44-a88f-ac5c45a858fb'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

422

Request validation error. Check "errors" array for details.

<select class='api-response-data' aria-label='Media type'><option value='0ffa3e89-c3e7-427d-aca7-45d8afa3c465'>application/json</option>
</select>Expand Allobject  

Http 422 error for object validation.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

errors Array of object   

List of fields with validation errors.

object  fieldstring    

Name of the field that failed validation.

Examplename
messagestring    

Failure reason.

Examplemay not be null

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='eba3ca69-7ce4-41e6-8610-bbe670451ee5'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
